# Uses of Class
net.sf.statcvs.output.ConfigurationException

Packages that use ConfigurationException
Package
Description
net.sf.statcvs
StatCVS main package containing the command line launcher and some core classes.
net.sf.statcvs.ant
Package for the StatCVS Ant task.
net.sf.statcvs.output

## Uses of ConfigurationException in net.sf.statcvs

Methods in net.sf.statcvs that throw ConfigurationException
Modifier and Type
Method
Description
`static void`
Main.`generateDefaultHTMLSuite()`
Generates HTML report.

## Uses of ConfigurationException in net.sf.statcvs.ant

Methods in net.sf.statcvs.ant that throw ConfigurationException
Modifier and Type
Method
Description
`protected void`
StatCvsTask.`initProperties()`
method initializes the ConfigurationOptions object with received values.

## Uses of ConfigurationException in net.sf.statcvs.output

Methods in net.sf.statcvs.output that throw ConfigurationException
Modifier and Type
Method
Description
`void`
CssHandler.`checkForMissingResources()`
Checks if all necessary resources are available.
`void`
DefaultCssHandler.`checkForMissingResources()`
No external resources are necessary for default CSS files, so nothing is done here
`void`
LocalFileCssHandler.`checkForMissingResources()`
Checks if the local CSS file exists
`void`
UrlCssHandler.`checkForMissingResources()`
We could check here if there is a real CSS file at the URL, but this would require net access, so we just do nothing.
`protected void`
CommandLineParser.`checkForRequiredArgs()`
`protected boolean`
CommandLineParser.`doChildrenSwitch(String s)`
Give the argument to children classes that may have a way to recognise it.
`void`
CommandLineParser.`parse()`
Parses the command line and sets the options (as static fields in `ConfigurationOptions`).
`protected void`
CommandLineParser.`parseSwitch(String switchName)`
`static void`
ConfigurationOptions.`setCheckedOutDirectory(String checkedOutDirectory)`
Sets the checkedOutDirectory.
`static void`
ConfigurationOptions.`setConfigFile(String propertiesFilename)`
Set the config file that may contain user details.
`static void`
ConfigurationOptions.`setCssFile(String cssFile)`
Sets the cssFile.
`static void`
ConfigurationOptions.`setLogFileName(String logFileName)`
Sets the logFileName.
`static void`
ConfigurationOptions.`setNotesFile(String notesFile)`
Sets the name of the notes file.
`static void`
ConfigurationOptions.`setOutputDir(String outputDir)`
Sets the outputDir.
`static void`
ConfigurationOptions.`setOutputFormat(String outputFormat)`
`static void`
ConfigurationOptions.`setSymbolicNamesPattern(String symbolicNamesPattern)`